Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network210.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
210.0.0.0
Broadcast address
211.255.255.255
First usable
210.0.0.1
Last usable
211.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
C (default /24)
As numbers
Hex D2000000 · Integer 3523215360 to 3556769791
Reverse DNS zones
210.in-addr.arpa
211.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11010010.00000000.00000000.00000000210.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network11010010.00000000.00000000.00000000210.0.0.0
Broadcast11010011.11111111.11111111.11111111211.255.255.255
Split into smaller subnets/19

210.0.0.0/7 makes 4,096 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1210.0.0.0/19210.0.0.1 to 210.0.31.254210.0.31.2558,190
2210.0.32.0/19210.0.32.1 to 210.0.63.254210.0.63.2558,190
3210.0.64.0/19210.0.64.1 to 210.0.95.254210.0.95.2558,190
4210.0.96.0/19210.0.96.1 to 210.0.127.254210.0.127.2558,190
5210.0.128.0/19210.0.128.1 to 210.0.159.254210.0.159.2558,190
6210.0.160.0/19210.0.160.1 to 210.0.191.254210.0.191.2558,190
7210.0.192.0/19210.0.192.1 to 210.0.223.254210.0.223.2558,190
8210.0.224.0/19210.0.224.1 to 210.0.255.254210.0.255.2558,190
9210.1.0.0/19210.1.0.1 to 210.1.31.254210.1.31.2558,190
10210.1.32.0/19210.1.32.1 to 210.1.63.254210.1.63.2558,190
11210.1.64.0/19210.1.64.1 to 210.1.95.254210.1.95.2558,190
12210.1.96.0/19210.1.96.1 to 210.1.127.254210.1.127.2558,190
13210.1.128.0/19210.1.128.1 to 210.1.159.254210.1.159.2558,190
14210.1.160.0/19210.1.160.1 to 210.1.191.254210.1.191.2558,190
15210.1.192.0/19210.1.192.1 to 210.1.223.254210.1.223.2558,190
16210.1.224.0/19210.1.224.1 to 210.1.255.254210.1.255.2558,190
17210.2.0.0/19210.2.0.1 to 210.2.31.254210.2.31.2558,190
18210.2.32.0/19210.2.32.1 to 210.2.63.254210.2.63.2558,190
19210.2.64.0/19210.2.64.1 to 210.2.95.254210.2.95.2558,190
20210.2.96.0/19210.2.96.1 to 210.2.127.254210.2.127.2558,190
21210.2.128.0/19210.2.128.1 to 210.2.159.254210.2.159.2558,190
22210.2.160.0/19210.2.160.1 to 210.2.191.254210.2.191.2558,190
23210.2.192.0/19210.2.192.1 to 210.2.223.254210.2.223.2558,190
24210.2.224.0/19210.2.224.1 to 210.2.255.254210.2.255.2558,190
25210.3.0.0/19210.3.0.1 to 210.3.31.254210.3.31.2558,190
26210.3.32.0/19210.3.32.1 to 210.3.63.254210.3.63.2558,190
27210.3.64.0/19210.3.64.1 to 210.3.95.254210.3.95.2558,190
28210.3.96.0/19210.3.96.1 to 210.3.127.254210.3.127.2558,190
29210.3.128.0/19210.3.128.1 to 210.3.159.254210.3.159.2558,190
30210.3.160.0/19210.3.160.1 to 210.3.191.254210.3.191.2558,190
31210.3.192.0/19210.3.192.1 to 210.3.223.254210.3.223.2558,190
32210.3.224.0/19210.3.224.1 to 210.3.255.254210.3.255.2558,190
33210.4.0.0/19210.4.0.1 to 210.4.31.254210.4.31.2558,190
34210.4.32.0/19210.4.32.1 to 210.4.63.254210.4.63.2558,190
35210.4.64.0/19210.4.64.1 to 210.4.95.254210.4.95.2558,190
36210.4.96.0/19210.4.96.1 to 210.4.127.254210.4.127.2558,190
37210.4.128.0/19210.4.128.1 to 210.4.159.254210.4.159.2558,190
38210.4.160.0/19210.4.160.1 to 210.4.191.254210.4.191.2558,190
39210.4.192.0/19210.4.192.1 to 210.4.223.254210.4.223.2558,190
40210.4.224.0/19210.4.224.1 to 210.4.255.254210.4.255.2558,190
41210.5.0.0/19210.5.0.1 to 210.5.31.254210.5.31.2558,190
42210.5.32.0/19210.5.32.1 to 210.5.63.254210.5.63.2558,190
43210.5.64.0/19210.5.64.1 to 210.5.95.254210.5.95.2558,190
44210.5.96.0/19210.5.96.1 to 210.5.127.254210.5.127.2558,190
45210.5.128.0/19210.5.128.1 to 210.5.159.254210.5.159.2558,190
46210.5.160.0/19210.5.160.1 to 210.5.191.254210.5.191.2558,190
47210.5.192.0/19210.5.192.1 to 210.5.223.254210.5.223.2558,190
48210.5.224.0/19210.5.224.1 to 210.5.255.254210.5.255.2558,190
49210.6.0.0/19210.6.0.1 to 210.6.31.254210.6.31.2558,190
50210.6.32.0/19210.6.32.1 to 210.6.63.254210.6.63.2558,190
51210.6.64.0/19210.6.64.1 to 210.6.95.254210.6.95.2558,190
52210.6.96.0/19210.6.96.1 to 210.6.127.254210.6.127.2558,190
53210.6.128.0/19210.6.128.1 to 210.6.159.254210.6.159.2558,190
54210.6.160.0/19210.6.160.1 to 210.6.191.254210.6.191.2558,190
55210.6.192.0/19210.6.192.1 to 210.6.223.254210.6.223.2558,190
56210.6.224.0/19210.6.224.1 to 210.6.255.254210.6.255.2558,190
57210.7.0.0/19210.7.0.1 to 210.7.31.254210.7.31.2558,190
58210.7.32.0/19210.7.32.1 to 210.7.63.254210.7.63.2558,190
59210.7.64.0/19210.7.64.1 to 210.7.95.254210.7.95.2558,190
60210.7.96.0/19210.7.96.1 to 210.7.127.254210.7.127.2558,190
61210.7.128.0/19210.7.128.1 to 210.7.159.254210.7.159.2558,190
62210.7.160.0/19210.7.160.1 to 210.7.191.254210.7.191.2558,190
63210.7.192.0/19210.7.192.1 to 210.7.223.254210.7.223.2558,190
64210.7.224.0/19210.7.224.1 to 210.7.255.254210.7.255.2558,190
65210.8.0.0/19210.8.0.1 to 210.8.31.254210.8.31.2558,190
66210.8.32.0/19210.8.32.1 to 210.8.63.254210.8.63.2558,190
67210.8.64.0/19210.8.64.1 to 210.8.95.254210.8.95.2558,190
68210.8.96.0/19210.8.96.1 to 210.8.127.254210.8.127.2558,190
69210.8.128.0/19210.8.128.1 to 210.8.159.254210.8.159.2558,190
70210.8.160.0/19210.8.160.1 to 210.8.191.254210.8.191.2558,190
71210.8.192.0/19210.8.192.1 to 210.8.223.254210.8.223.2558,190
72210.8.224.0/19210.8.224.1 to 210.8.255.254210.8.255.2558,190
73210.9.0.0/19210.9.0.1 to 210.9.31.254210.9.31.2558,190
74210.9.32.0/19210.9.32.1 to 210.9.63.254210.9.63.2558,190
75210.9.64.0/19210.9.64.1 to 210.9.95.254210.9.95.2558,190
76210.9.96.0/19210.9.96.1 to 210.9.127.254210.9.127.2558,190
77210.9.128.0/19210.9.128.1 to 210.9.159.254210.9.159.2558,190
78210.9.160.0/19210.9.160.1 to 210.9.191.254210.9.191.2558,190
79210.9.192.0/19210.9.192.1 to 210.9.223.254210.9.223.2558,190
80210.9.224.0/19210.9.224.1 to 210.9.255.254210.9.255.2558,190
81210.10.0.0/19210.10.0.1 to 210.10.31.254210.10.31.2558,190
82210.10.32.0/19210.10.32.1 to 210.10.63.254210.10.63.2558,190
83210.10.64.0/19210.10.64.1 to 210.10.95.254210.10.95.2558,190
84210.10.96.0/19210.10.96.1 to 210.10.127.254210.10.127.2558,190
85210.10.128.0/19210.10.128.1 to 210.10.159.254210.10.159.2558,190
86210.10.160.0/19210.10.160.1 to 210.10.191.254210.10.191.2558,190
87210.10.192.0/19210.10.192.1 to 210.10.223.254210.10.223.2558,190
88210.10.224.0/19210.10.224.1 to 210.10.255.254210.10.255.2558,190
89210.11.0.0/19210.11.0.1 to 210.11.31.254210.11.31.2558,190
90210.11.32.0/19210.11.32.1 to 210.11.63.254210.11.63.2558,190
91210.11.64.0/19210.11.64.1 to 210.11.95.254210.11.95.2558,190
92210.11.96.0/19210.11.96.1 to 210.11.127.254210.11.127.2558,190
93210.11.128.0/19210.11.128.1 to 210.11.159.254210.11.159.2558,190
94210.11.160.0/19210.11.160.1 to 210.11.191.254210.11.191.2558,190
95210.11.192.0/19210.11.192.1 to 210.11.223.254210.11.223.2558,190
96210.11.224.0/19210.11.224.1 to 210.11.255.254210.11.255.2558,190
97210.12.0.0/19210.12.0.1 to 210.12.31.254210.12.31.2558,190
98210.12.32.0/19210.12.32.1 to 210.12.63.254210.12.63.2558,190
99210.12.64.0/19210.12.64.1 to 210.12.95.254210.12.95.2558,190
100210.12.96.0/19210.12.96.1 to 210.12.127.254210.12.127.2558,190
101210.12.128.0/19210.12.128.1 to 210.12.159.254210.12.159.2558,190
102210.12.160.0/19210.12.160.1 to 210.12.191.254210.12.191.2558,190
103210.12.192.0/19210.12.192.1 to 210.12.223.254210.12.223.2558,190
104210.12.224.0/19210.12.224.1 to 210.12.255.254210.12.255.2558,190
105210.13.0.0/19210.13.0.1 to 210.13.31.254210.13.31.2558,190
106210.13.32.0/19210.13.32.1 to 210.13.63.254210.13.63.2558,190
107210.13.64.0/19210.13.64.1 to 210.13.95.254210.13.95.2558,190
108210.13.96.0/19210.13.96.1 to 210.13.127.254210.13.127.2558,190
109210.13.128.0/19210.13.128.1 to 210.13.159.254210.13.159.2558,190
110210.13.160.0/19210.13.160.1 to 210.13.191.254210.13.191.2558,190
111210.13.192.0/19210.13.192.1 to 210.13.223.254210.13.223.2558,190
112210.13.224.0/19210.13.224.1 to 210.13.255.254210.13.255.2558,190
113210.14.0.0/19210.14.0.1 to 210.14.31.254210.14.31.2558,190
114210.14.32.0/19210.14.32.1 to 210.14.63.254210.14.63.2558,190
115210.14.64.0/19210.14.64.1 to 210.14.95.254210.14.95.2558,190
116210.14.96.0/19210.14.96.1 to 210.14.127.254210.14.127.2558,190
117210.14.128.0/19210.14.128.1 to 210.14.159.254210.14.159.2558,190
118210.14.160.0/19210.14.160.1 to 210.14.191.254210.14.191.2558,190
119210.14.192.0/19210.14.192.1 to 210.14.223.254210.14.223.2558,190
120210.14.224.0/19210.14.224.1 to 210.14.255.254210.14.255.2558,190
121210.15.0.0/19210.15.0.1 to 210.15.31.254210.15.31.2558,190
122210.15.32.0/19210.15.32.1 to 210.15.63.254210.15.63.2558,190
123210.15.64.0/19210.15.64.1 to 210.15.95.254210.15.95.2558,190
124210.15.96.0/19210.15.96.1 to 210.15.127.254210.15.127.2558,190
125210.15.128.0/19210.15.128.1 to 210.15.159.254210.15.159.2558,190
126210.15.160.0/19210.15.160.1 to 210.15.191.254210.15.191.2558,190
127210.15.192.0/19210.15.192.1 to 210.15.223.254210.15.223.2558,190
128210.15.224.0/19210.15.224.1 to 210.15.255.254210.15.255.2558,190
129210.16.0.0/19210.16.0.1 to 210.16.31.254210.16.31.2558,190
130210.16.32.0/19210.16.32.1 to 210.16.63.254210.16.63.2558,190
131210.16.64.0/19210.16.64.1 to 210.16.95.254210.16.95.2558,190
132210.16.96.0/19210.16.96.1 to 210.16.127.254210.16.127.2558,190
133210.16.128.0/19210.16.128.1 to 210.16.159.254210.16.159.2558,190
134210.16.160.0/19210.16.160.1 to 210.16.191.254210.16.191.2558,190
135210.16.192.0/19210.16.192.1 to 210.16.223.254210.16.223.2558,190
136210.16.224.0/19210.16.224.1 to 210.16.255.254210.16.255.2558,190
137210.17.0.0/19210.17.0.1 to 210.17.31.254210.17.31.2558,190
138210.17.32.0/19210.17.32.1 to 210.17.63.254210.17.63.2558,190
139210.17.64.0/19210.17.64.1 to 210.17.95.254210.17.95.2558,190
140210.17.96.0/19210.17.96.1 to 210.17.127.254210.17.127.2558,190
141210.17.128.0/19210.17.128.1 to 210.17.159.254210.17.159.2558,190
142210.17.160.0/19210.17.160.1 to 210.17.191.254210.17.191.2558,190
143210.17.192.0/19210.17.192.1 to 210.17.223.254210.17.223.2558,190
144210.17.224.0/19210.17.224.1 to 210.17.255.254210.17.255.2558,190
145210.18.0.0/19210.18.0.1 to 210.18.31.254210.18.31.2558,190
146210.18.32.0/19210.18.32.1 to 210.18.63.254210.18.63.2558,190
147210.18.64.0/19210.18.64.1 to 210.18.95.254210.18.95.2558,190
148210.18.96.0/19210.18.96.1 to 210.18.127.254210.18.127.2558,190
149210.18.128.0/19210.18.128.1 to 210.18.159.254210.18.159.2558,190
150210.18.160.0/19210.18.160.1 to 210.18.191.254210.18.191.2558,190
151210.18.192.0/19210.18.192.1 to 210.18.223.254210.18.223.2558,190
152210.18.224.0/19210.18.224.1 to 210.18.255.254210.18.255.2558,190
153210.19.0.0/19210.19.0.1 to 210.19.31.254210.19.31.2558,190
154210.19.32.0/19210.19.32.1 to 210.19.63.254210.19.63.2558,190
155210.19.64.0/19210.19.64.1 to 210.19.95.254210.19.95.2558,190
156210.19.96.0/19210.19.96.1 to 210.19.127.254210.19.127.2558,190
157210.19.128.0/19210.19.128.1 to 210.19.159.254210.19.159.2558,190
158210.19.160.0/19210.19.160.1 to 210.19.191.254210.19.191.2558,190
159210.19.192.0/19210.19.192.1 to 210.19.223.254210.19.223.2558,190
160210.19.224.0/19210.19.224.1 to 210.19.255.254210.19.255.2558,190
161210.20.0.0/19210.20.0.1 to 210.20.31.254210.20.31.2558,190
162210.20.32.0/19210.20.32.1 to 210.20.63.254210.20.63.2558,190
163210.20.64.0/19210.20.64.1 to 210.20.95.254210.20.95.2558,190
164210.20.96.0/19210.20.96.1 to 210.20.127.254210.20.127.2558,190
165210.20.128.0/19210.20.128.1 to 210.20.159.254210.20.159.2558,190
166210.20.160.0/19210.20.160.1 to 210.20.191.254210.20.191.2558,190
167210.20.192.0/19210.20.192.1 to 210.20.223.254210.20.223.2558,190
168210.20.224.0/19210.20.224.1 to 210.20.255.254210.20.255.2558,190
169210.21.0.0/19210.21.0.1 to 210.21.31.254210.21.31.2558,190
170210.21.32.0/19210.21.32.1 to 210.21.63.254210.21.63.2558,190
171210.21.64.0/19210.21.64.1 to 210.21.95.254210.21.95.2558,190
172210.21.96.0/19210.21.96.1 to 210.21.127.254210.21.127.2558,190
173210.21.128.0/19210.21.128.1 to 210.21.159.254210.21.159.2558,190
174210.21.160.0/19210.21.160.1 to 210.21.191.254210.21.191.2558,190
175210.21.192.0/19210.21.192.1 to 210.21.223.254210.21.223.2558,190
176210.21.224.0/19210.21.224.1 to 210.21.255.254210.21.255.2558,190
177210.22.0.0/19210.22.0.1 to 210.22.31.254210.22.31.2558,190
178210.22.32.0/19210.22.32.1 to 210.22.63.254210.22.63.2558,190
179210.22.64.0/19210.22.64.1 to 210.22.95.254210.22.95.2558,190
180210.22.96.0/19210.22.96.1 to 210.22.127.254210.22.127.2558,190
181210.22.128.0/19210.22.128.1 to 210.22.159.254210.22.159.2558,190
182210.22.160.0/19210.22.160.1 to 210.22.191.254210.22.191.2558,190
183210.22.192.0/19210.22.192.1 to 210.22.223.254210.22.223.2558,190
184210.22.224.0/19210.22.224.1 to 210.22.255.254210.22.255.2558,190
185210.23.0.0/19210.23.0.1 to 210.23.31.254210.23.31.2558,190
186210.23.32.0/19210.23.32.1 to 210.23.63.254210.23.63.2558,190
187210.23.64.0/19210.23.64.1 to 210.23.95.254210.23.95.2558,190
188210.23.96.0/19210.23.96.1 to 210.23.127.254210.23.127.2558,190
189210.23.128.0/19210.23.128.1 to 210.23.159.254210.23.159.2558,190
190210.23.160.0/19210.23.160.1 to 210.23.191.254210.23.191.2558,190
191210.23.192.0/19210.23.192.1 to 210.23.223.254210.23.223.2558,190
192210.23.224.0/19210.23.224.1 to 210.23.255.254210.23.255.2558,190
193210.24.0.0/19210.24.0.1 to 210.24.31.254210.24.31.2558,190
194210.24.32.0/19210.24.32.1 to 210.24.63.254210.24.63.2558,190
195210.24.64.0/19210.24.64.1 to 210.24.95.254210.24.95.2558,190
196210.24.96.0/19210.24.96.1 to 210.24.127.254210.24.127.2558,190
197210.24.128.0/19210.24.128.1 to 210.24.159.254210.24.159.2558,190
198210.24.160.0/19210.24.160.1 to 210.24.191.254210.24.191.2558,190
199210.24.192.0/19210.24.192.1 to 210.24.223.254210.24.223.2558,190
200210.24.224.0/19210.24.224.1 to 210.24.255.254210.24.255.2558,190
201210.25.0.0/19210.25.0.1 to 210.25.31.254210.25.31.2558,190
202210.25.32.0/19210.25.32.1 to 210.25.63.254210.25.63.2558,190
203210.25.64.0/19210.25.64.1 to 210.25.95.254210.25.95.2558,190
204210.25.96.0/19210.25.96.1 to 210.25.127.254210.25.127.2558,190
205210.25.128.0/19210.25.128.1 to 210.25.159.254210.25.159.2558,190
206210.25.160.0/19210.25.160.1 to 210.25.191.254210.25.191.2558,190
207210.25.192.0/19210.25.192.1 to 210.25.223.254210.25.223.2558,190
208210.25.224.0/19210.25.224.1 to 210.25.255.254210.25.255.2558,190
209210.26.0.0/19210.26.0.1 to 210.26.31.254210.26.31.2558,190
210210.26.32.0/19210.26.32.1 to 210.26.63.254210.26.63.2558,190
211210.26.64.0/19210.26.64.1 to 210.26.95.254210.26.95.2558,190
212210.26.96.0/19210.26.96.1 to 210.26.127.254210.26.127.2558,190
213210.26.128.0/19210.26.128.1 to 210.26.159.254210.26.159.2558,190
214210.26.160.0/19210.26.160.1 to 210.26.191.254210.26.191.2558,190
215210.26.192.0/19210.26.192.1 to 210.26.223.254210.26.223.2558,190
216210.26.224.0/19210.26.224.1 to 210.26.255.254210.26.255.2558,190
217210.27.0.0/19210.27.0.1 to 210.27.31.254210.27.31.2558,190
218210.27.32.0/19210.27.32.1 to 210.27.63.254210.27.63.2558,190
219210.27.64.0/19210.27.64.1 to 210.27.95.254210.27.95.2558,190
220210.27.96.0/19210.27.96.1 to 210.27.127.254210.27.127.2558,190
221210.27.128.0/19210.27.128.1 to 210.27.159.254210.27.159.2558,190
222210.27.160.0/19210.27.160.1 to 210.27.191.254210.27.191.2558,190
223210.27.192.0/19210.27.192.1 to 210.27.223.254210.27.223.2558,190
224210.27.224.0/19210.27.224.1 to 210.27.255.254210.27.255.2558,190
225210.28.0.0/19210.28.0.1 to 210.28.31.254210.28.31.2558,190
226210.28.32.0/19210.28.32.1 to 210.28.63.254210.28.63.2558,190
227210.28.64.0/19210.28.64.1 to 210.28.95.254210.28.95.2558,190
228210.28.96.0/19210.28.96.1 to 210.28.127.254210.28.127.2558,190
229210.28.128.0/19210.28.128.1 to 210.28.159.254210.28.159.2558,190
230210.28.160.0/19210.28.160.1 to 210.28.191.254210.28.191.2558,190
231210.28.192.0/19210.28.192.1 to 210.28.223.254210.28.223.2558,190
232210.28.224.0/19210.28.224.1 to 210.28.255.254210.28.255.2558,190
233210.29.0.0/19210.29.0.1 to 210.29.31.254210.29.31.2558,190
234210.29.32.0/19210.29.32.1 to 210.29.63.254210.29.63.2558,190
235210.29.64.0/19210.29.64.1 to 210.29.95.254210.29.95.2558,190
236210.29.96.0/19210.29.96.1 to 210.29.127.254210.29.127.2558,190
237210.29.128.0/19210.29.128.1 to 210.29.159.254210.29.159.2558,190
238210.29.160.0/19210.29.160.1 to 210.29.191.254210.29.191.2558,190
239210.29.192.0/19210.29.192.1 to 210.29.223.254210.29.223.2558,190
240210.29.224.0/19210.29.224.1 to 210.29.255.254210.29.255.2558,190
241210.30.0.0/19210.30.0.1 to 210.30.31.254210.30.31.2558,190
242210.30.32.0/19210.30.32.1 to 210.30.63.254210.30.63.2558,190
243210.30.64.0/19210.30.64.1 to 210.30.95.254210.30.95.2558,190
244210.30.96.0/19210.30.96.1 to 210.30.127.254210.30.127.2558,190
245210.30.128.0/19210.30.128.1 to 210.30.159.254210.30.159.2558,190
246210.30.160.0/19210.30.160.1 to 210.30.191.254210.30.191.2558,190
247210.30.192.0/19210.30.192.1 to 210.30.223.254210.30.223.2558,190
248210.30.224.0/19210.30.224.1 to 210.30.255.254210.30.255.2558,190
249210.31.0.0/19210.31.0.1 to 210.31.31.254210.31.31.2558,190
250210.31.32.0/19210.31.32.1 to 210.31.63.254210.31.63.2558,190
251210.31.64.0/19210.31.64.1 to 210.31.95.254210.31.95.2558,190
252210.31.96.0/19210.31.96.1 to 210.31.127.254210.31.127.2558,190
253210.31.128.0/19210.31.128.1 to 210.31.159.254210.31.159.2558,190
254210.31.160.0/19210.31.160.1 to 210.31.191.254210.31.191.2558,190
255210.31.192.0/19210.31.192.1 to 210.31.223.254210.31.223.2558,190
256210.31.224.0/19210.31.224.1 to 210.31.255.254210.31.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses